<?php
require_once '../connect.php';

$pedidos = "";
$qt_autoriza= "0000";

if(isset($_GET['pedidos'])){
	$pedidos = $_GET['pedidos'];
}

if(isset($_GET['autoriza'])){
	$qt_autoriza = $_GET['autoriza'];
}

if(isset($_POST['pedidos'])){
	$pedidos = $_POST['pedidos'];
}

if(isset($_POST['autoriza'])){
	$qt_autoriza = $_POST['autoriza'];
}

$ar_pedidos = json_decode($pedidos);

foreach ($ar_pedidos as $key => $value) {
	@$st_pedidos.= "$value,";
}

if($st_pedidos!=""){
	global $conexao;

	$st_pedidos = "(" . substr($st_pedidos, 0, -1) . ")";

	$consulta = "select 	sum(IFNULL(nr_quantidade,0)) * 10000 as qt_pedida 
from 	erpc_pedidos_compra_itens pi
join	erpc_pedidos_compra 	  pc on pi.id_pedido = pc.id
where 	pc.st_ativo = 1 and not pc.id_status_pedido in ( 3, 4) and id_pedido in $st_pedidos";

	$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
	if (mysqli_num_rows($resultado)>0) {
        while ($registro = mysqli_fetch_assoc($resultado)){
          	$qt_pedida = $registro['qt_pedida'];
        }
    }
    /* Quantidade pedida é igual a nota fiscal */
    if($qt_pedida==$qt_autoriza){
    	$st_retorno = "3;PEDIDO TOTALMENTE BAIXADO";
    }
    /* Quantidade pedida é maior que a nota fiscal 1 Parcialmente Baixado */
    else if($qt_pedida>$qt_autoriza){
    	$st_retorno = "2;PEDIDO PARCIALMENTE BAIXADO";
    }
    else{
    	$st_retorno = "0;A QUANTIDADE DE ITENS DA NF É MAIOR QUE O PEDIDO";
    }
}else{
	$st_retorno = "0;NÃO FOI INFORMADO O PEDIDO DE COMPRA";
}

echo "$st_retorno";	
?>